Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.mc
Class PortletApplicationDeployer

    java.lang.Object
      org.jboss.portal.portlet.mc.PortletApplicationDeployer

All Implemented Interfaces:
  PortletApplicationRegistry, org.jboss.portal.web.WebAppListener

Direct Known Subclasses:
  TestPortletApplicationDeployer

    public class PortletApplicationDeployer

extends java.lang.Object
implements org.jboss.portal.web.WebAppListener, PortletApplicationRegistry

Version:
  $Revision: 1.1 $
Author:
  Julien Viet

Constructor Summary
`PortletApplicationDeployer()`

Method Summary
`protected void` | `add(org.jboss.portal.web.WebApp webApp)`
`void` | `addListener(ManagedObjectRegistryEventListener listener)`
`ContainerPortletInvoker` | `getContainerPortletInvoker()`
`ManagedPortletApplication` | `getManagedPortletApplication(java.lang.String id)` Return a portlet app using its id or null if it does not exist.
`java.util.Collection<? extends ManagedPortletApplication>` | `getManagedPortletApplications()` Return an immutable list all the known portlet application in the registry.
`PortletApplicationRegistry` | `getRegistry()`
`org.jboss.portal.web.ServletContainer` | `getServletContainer()`
`void` | `onEvent(org.jboss.portal.web.WebAppEvent event)`
`void` | `removeListener(ManagedObjectRegistryEventListener listener)`
`void` | `setContainerPortletInvoker(ContainerPortletInvoker containerPortletInvoker)`
`void` | `setRegistry(PortletApplicationRegistry registry)`
`void` | `setServletContainer(org.jboss.portal.web.ServletContainer servletContainer)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletApplicationDeployer

    public PortletApplicationDeployer()

Method Detail

### getRegistry

    public PortletApplicationRegistry getRegistry()

### setRegistry

    public void setRegistry(PortletApplicationRegistry registry)

### getServletContainer

    public org.jboss.portal.web.ServletContainer getServletContainer()

### setServletContainer

    public void setServletContainer(org.jboss.portal.web.ServletContainer servletContainer)

### getContainerPortletInvoker

    public ContainerPortletInvoker getContainerPortletInvoker()

### setContainerPortletInvoker

    public void setContainerPortletInvoker(ContainerPortletInvoker containerPortletInvoker)

### onEvent

    public void onEvent(org.jboss.portal.web.WebAppEvent event)

  Specified by:
    `onEvent` in interface `org.jboss.portal.web.WebAppListener`

### add

    protected void add(org.jboss.portal.web.WebApp webApp)

### start

    public void start()

### stop

    public void stop()

### getManagedPortletApplications

    public java.util.Collection<? extends ManagedPortletApplication> getManagedPortletApplications()

  Description copied from interface: `PortletApplicationRegistry`
  Return an immutable list all the known portlet application in the registry.

  Specified by:
    `getManagedPortletApplications` in interface `PortletApplicationRegistry`
  Returns:
    the registered portlet applications

### getManagedPortletApplication

    public ManagedPortletApplication getManagedPortletApplication(java.lang.String id)

  Description copied from interface: `PortletApplicationRegistry`
  Return a portlet app using its id or null if it does not exist.

  Specified by:
    `getManagedPortletApplication` in interface `PortletApplicationRegistry`
  Parameters:
    `id` - the portlet application id
  Returns:
    a specified registered portlet application

### addListener

    public void addListener(ManagedObjectRegistryEventListener listener)

  Specified by:
    `addListener` in interface `PortletApplicationRegistry`

### removeListener

    public void removeListener(ManagedObjectRegistryEventListener listener)

  Specified by:
    `removeListener` in interface `PortletApplicationRegistry`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.